/*
 * normalize.hpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#ifndef NORMALIZE_HPP_
#define NORMALIZE_HPP_

namespace core {

template < typename T, typename Enable = void >
struct normalize { };

template < typename Type >
struct normalize < Type, typename std::enable_if < std::is_same < Type, typename Type::normalized_type >::value >::type > {
	static Type && eval ( Type && value ) {
		return std::move ( value );
	}
};

} /* namespace core */

#endif /* NORMALIZE_HPP_ */
