/*
 * Translate.cpp
 *
 *  Created on: 12. 5. 2016
 *      Author: Jakub Doupal
 */

#include "Translate.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace run {

auto TranslateNPDTALinearString = registration::AbstractRegister < Translate, ext::set < string::LinearString < > >, const automaton::NPDTA < > &, const string::LinearString < > & > ( Translate::translate );

} /* namespace run */

} /* namespace automaton */
