/*
 * AutomataConcatenationEpsilonTransition.cpp
 *
 *  Created on: 20. 11. 2014
 *	  Author: Tomas Pecka
 */

#include "AutomataConcatenationEpsilonTransition.h"
#include <common/DefaultStateType.h>
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace transform {

auto AutomataConcatenationEpsilonTransitionDFA = registration::AbstractRegister < AutomataConcatenationEpsilonTransition, automaton::EpsilonNFA < >, const automaton::DFA < > &, const automaton::DFA < > & > ( AutomataConcatenationEpsilonTransition::concatenation );
auto AutomataConcatenationEpsilonTransitionNFA = registration::AbstractRegister < AutomataConcatenationEpsilonTransition, automaton::EpsilonNFA < >, const automaton::NFA < > &, const automaton::NFA < > & > ( AutomataConcatenationEpsilonTransition::concatenation );
auto AutomataConcatenationEpsilonTransitionEpsilonNFA = registration::AbstractRegister < AutomataConcatenationEpsilonTransition, automaton::EpsilonNFA < >, const automaton::EpsilonNFA < > &, const automaton::EpsilonNFA < > & > ( AutomataConcatenationEpsilonTransition::concatenation );

} /* namespace transform */

} /* namespace automaton */
