#ifndef DIJKSTRA_TEST_H_
#define DIJKSTRA_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GraphDijkstraTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE(GraphDijkstraTest);
	CPPUNIT_TEST(testSimple);
	CPPUNIT_TEST(testCycle);
	CPPUNIT_TEST(testMultiEdge);
	CPPUNIT_TEST(testNegativeValue);
	CPPUNIT_TEST_SUITE_END();

public:
	void testSimple();
	void testCycle();
	void testMultiEdge();
	void testNegativeValue();
};

#endif // DIJKSTRA_TEST_H_
