/*
 * NPDA.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "NPDA.h"
#include <automaton/Automaton.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::NPDA < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::NPDA < > > ( );
static auto xmlRead = registration::XmlReaderRegister < automaton::NPDA < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < automaton::Automaton, automaton::NPDA < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, automaton::NPDA < > > ( );

} /* namespace */
