#ifndef RANGE_TEST_H_
#define RANGE_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class RangeTest : public CppUnit::TestFixture {
	CPPUNIT_TEST_SUITE ( RangeTest );
	CPPUNIT_TEST ( constructorTest );
	CPPUNIT_TEST ( sizeTest );
	CPPUNIT_TEST ( splitTest );
	CPPUNIT_TEST ( sliceTest );
	CPPUNIT_TEST_SUITE_END ( );

public:
	void setUp ( );
	void tearDown ( );

	void constructorTest ( );
	void sizeTest ( );
	void splitTest ( );
	void sliceTest ( );
};

#endif // RANGE_TEST_H_
