/*
 * SubtreeWildcardSymbol.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_SUBTREE_WILDCARD_SYMBOL_H_
#define _STRING_SUBTREE_WILDCARD_SYMBOL_H_

#include <alphabet/SubtreeWildcardSymbol.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < alphabet::SubtreeWildcardSymbol > {
	static alphabet::SubtreeWildcardSymbol parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const alphabet::SubtreeWildcardSymbol & symbol );
};

} /* namespace core */

#endif /* _STRING_SUBTREE_WILDCARD_SYMBOL_H_ */
