/*
 * List.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsList.h"
#include <container/Container.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < container::ObjectsList < > > ( );
static auto xmlRead = registration::XmlReaderRegister < container::ObjectsList < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < container::Container, container::ObjectsList < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, container::ObjectsList < > > ( );

} /* namespace */
