/*
 * NonlinearCompressedBitParallelIndexConstruction.cpp
 *
 *  Created on: 22. 8. 2017
 *      Author: Jan Travnicek
 */

#include "NonlinearCompressedBitParallelIndexConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace indexing {

auto nonlinearcompressedBitParallelIndexConstructionPrefixRankedBarTree = registration::AbstractRegister < NonlinearCompressedBitParallelIndexConstruction, indexes::arbology::NonlinearCompressedBitParallelTreeIndex < >, const tree::PrefixRankedBarTree < > & > ( NonlinearCompressedBitParallelIndexConstruction::construct );

} /* namespace indexing */

} /* namespace arbology */
