/*
 * BNDMOccurrences.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "BNDMOccurrences.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto bndmOccurrencesLinearString = registration::AbstractRegister < BNDMOccurrences, ext::set < unsigned >, const indexes::stringology::BNDMMatcher < > &, const string::LinearString < > & > ( BNDMOccurrences::query );

} /* namespace query */

} /* namespace stringology */
