/*
 * SuffixArrayFactors.cpp
 *
 *  Created on: 10. 1. 2017
 *      Author: Jan Travnicek
 */

#include "SuffixArrayFactors.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto SuffixArrayFactorsLinearString = registration::AbstractRegister < SuffixArrayFactors, ext::set < unsigned >, const indexes::stringology::SuffixArray < > &, const string::LinearString < > & > ( SuffixArrayFactors::query );

} /* namespace query */

} /* namespace stringology */
