/*
 * NonlinearFullAndLinearIndex.cpp
 *
 *  Created on: Apr 13, 2017
 *      Author: Jan Travnicek
 */

#include "NonlinearFullAndLinearIndex.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < indexes::arbology::NonlinearFullAndLinearIndex < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < indexes::arbology::NonlinearFullAndLinearIndex < > > ( );
static auto xmlRead = registration::XmlReaderRegister < indexes::arbology::NonlinearFullAndLinearIndex < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, indexes::arbology::NonlinearFullAndLinearIndex < > > ( );

} /* namespace */
