/*
 * CyclicString.cpp
 *
 *  Created on: Nov 23, 2013
 *	  Author: Jan Travnicek
 */

#include "CyclicString.h"

#include <string/String.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < string::CyclicString < > > ( );
static auto xmlRead = registration::XmlReaderRegister < string::CyclicString < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < string::String, string::CyclicString < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, string::CyclicString < > > ( );

} /* namespace */
