/*
 * LabeledSymbol.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_LABELED_SYMBOL_H_
#define _STRING_LABELED_SYMBOL_H_

#include <alphabet/LabeledSymbol.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < alphabet::LabeledSymbol > {
	static alphabet::LabeledSymbol parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const alphabet::LabeledSymbol & symbol );
};

} /* namespace core */

#endif /* _STRING_LABELED_SYMBOL_H_ */
