/*
 * PrimitiveLabel.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_PRIMITIVE_LABEL_H_
#define _STRING_PRIMITIVE_LABEL_H_

#include <label/PrimitiveLabel.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < label::PrimitiveLabel > {
	static label::PrimitiveLabel parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const label::PrimitiveLabel & label );
};

} /* namespace core */

#endif /* _STRING_PRIMITIVE_LABEL_H_ */
