/*
 * UniqueLabel.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_UNIQUE_LABEL_H_
#define _STRING_UNIQUE_LABEL_H_

#include <label/UniqueLabel.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < label::UniqueLabel > {
	static label::UniqueLabel parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const label::UniqueLabel & label );
};

} /* namespace core */

#endif /* _STRING_UNIQUE_LABEL_H_ */
