/*
 * Set.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsSet.h"
#include <container/Container.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < container::ObjectsSet < > > ( );
static auto xmlRead = registration::XmlReaderRegister < container::ObjectsSet < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < container::Container, container::ObjectsSet < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, container::ObjectsSet < > > ( );

} /* namespace */
